esl-alipid(1)

NAME

esl-alipid - calculate pairwise percent identities for all sequence pairs in an MSA

SYNOPSIS
esl-alipid [options] msafile

DESCRIPTION
esl-alistat calculates the pairwise percent identity of each sequence pair in in the MSA(s) in msafile. For each sequence pair, it outputs a line of <sqname1> <sqname2> <pid> <nid> <n> where <pid> is the percent identity, <nid> is the number of identical aligned pairs, and <n> is the denominator used for the calculation: the shorter of the two (unaligned) sequence lengths. If msafile is - (a single dash), alignment input is read from stdin. The msafile may be in any of several formats. The format is autodetected by default. See the --informat option to assert an input format. The msafile must contain either protein or DNA/RNA sequences. The nucleic or amino alphabet will be autodetected by default. See the --amino, --dna, or --rna options to assert an alphabet. Only canonical residues are counted toward <nid> and <n>. Degenerate residue codes are not counted.

OPTIONS

-h  Print brief help; includes version number and summary of all options, including expert options.

--informat <s>
    Specify that the input alignment is in <s> format. At present, valid formats are limited to Stockholm, Pfam, and AFA (aligned FASTA).

--amino
    Assert that the msafile contains protein sequences.

--dna
    Assert that the msafile contains DNA sequences.

--rna
    Assert that the msafile contains RNA sequences.

AUTHOR
Easel and its documentation are @EASEL_COPYRIGHT@. @EASEL_LICENSE@. See COPYING in the source code distribution for more details. The Easel home page is: @EASEL_URL@